Summary:	A compact getty program for virtual consoles only.
Name:		mingetty
Version:	1.07
License:	GPL
Release:	1
Group:		System Environment/Base
Source0:	ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/%{name}-%{version}.tar.gz
Patch0:		mingetty-1.07-rpmopts-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program in that case).

%files
  %defattr(0444,root,root,0555)
  %doc COPYING
  %doc %{_mandir}/man8/mingetty.*
  %attr(0500,root,root)		%{_root_sbindir}/mingetty

%prep
%setup -q
%patch0 -p1

%build
  make %{_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8

  install -s mingetty $RPM_BUILD_ROOT/%{_root_sbindir}
  install mingetty.8  $RPM_BUILD_ROOT/%{_mandir}/man8/

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.07, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
